from django.views.decorators.http import require_http_methods

from backend.Service.WechatComplaintService import WechatComplaintService

@require_http_methods(['POST'])
def insertComplaint(request):
    return WechatComplaintService.insertComplaint(request)

@require_http_methods(['POST'])
def deleteComplaint(request):
    return WechatComplaintService.deleteComplaint(request)

@require_http_methods(['POST'])
def getComplaintList(request):
    return WechatComplaintService.getComplaintList(request)

@require_http_methods(['POST'])
def getComplaintInfo(request):
    return WechatComplaintService.getComplaintInfo(request)

@require_http_methods(['POST'])
def updateComplaint(request):
    return WechatComplaintService.updateComplaint(request)






